Delete Category Attributes
curl --request DELETE \
--url https://scx-sbx.api.jtl-software.com/v1/channel/attribute/category \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/attribute/category"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/attribute/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Attributes
Delete Category Attributes
Delete category attributes by category ID.
DELETE
/
v1
/
channel
/
attribute
/
category
Delete Category Attributes
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Query Parameters
ID of the category whose attribute assignments should be deleted. If omitted, all category attribute assignments are deleted. Channel category Id
Required string length:
1 - 512Example:
"Beer4711"
Response
Attributes deleted
Was this page helpful?
⌘I